## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASEDatabaseImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEDatabaseImpl

All Implemented Interfaces:
  SybaseASEDatabase, Database, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogDatabase

    public class SybaseASEDatabaseImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
implements SybaseASEDatabase

An implementation of the model object 'Sybase ASE Database'.

The following features are implemented:

- `Data Types`
- `Encryption Key Applicable`
- `Roles`
- `Caches`
- `Web Services`
- `Webservice Applicable`
- `Sds Server`
- `Temp DB Name`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static java.lang.String` `VERSION_15`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getCaches()`
`org.eclipse.emf.common.util.EList` `getDataTypes()`
`org.eclipse.emf.common.util.EList` `getRoles()`
`org.eclipse.emf.common.util.EList` `getSdsServer()`
`java.lang.String` `getTempDBName()`
`org.eclipse.emf.common.util.EList` `getWebServices()`
`boolean` `isComputedColApplicable()`
`boolean` `isEncryptionKeyApplicable()`
`boolean` `isFunctionalBasedIndexMemApplicable()`
`boolean` `isPartitionsApplicable()`
`boolean` `isWebserviceApplicable()`
`void` `setEncryptionKeyApplicable(boolean newEncryptionKeyApplicable)`
`void` `setTempDBName(java.lang.String newTempDBName)`
`void` `setWebserviceApplicable(boolean newWebserviceApplicable)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### VERSION_15

    public static final java.lang.String VERSION_15

See Also:
  Constant Field Values

Method Detail

### getDataTypes

    public org.eclipse.emf.common.util.EList getDataTypes()

  Specified by:
    `getDataTypes` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Data Types' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_DataTypes()`, `SybaseASEPredefinedDataType.getDatabase()`

### isEncryptionKeyApplicable

    public boolean isEncryptionKeyApplicable()

  Specified by:
    `isEncryptionKeyApplicable` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Encryption Key Applicable' attribute.
  See Also:
    `SybaseASEDatabase.setEncryptionKeyApplicable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_EncryptionKeyApplicable()`

### setEncryptionKeyApplicable

    public void setEncryptionKeyApplicable(boolean newEncryptionKeyApplicable)

  Specified by:
    `setEncryptionKeyApplicable` in interface `SybaseASEDatabase`
  Parameters:
    `newEncryptionKeyApplicable` - the new value of the 'Encryption Key Applicable' attribute.
  See Also:
    `SybaseASEDatabase.isEncryptionKeyApplicable()`

### getRoles

    public org.eclipse.emf.common.util.EList getRoles()

  Specified by:
    `getRoles` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Roles' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_Roles()`

### getCaches

    public org.eclipse.emf.common.util.EList getCaches()

  Specified by:
    `getCaches` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Caches' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_Caches()`, `SybaseASECache.getDatabase()`

### getWebServices

    public org.eclipse.emf.common.util.EList getWebServices()

  Specified by:
    `getWebServices` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Web Services' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_WebServices()`, `SybaseASEWebService.getDatabase()`

### isWebserviceApplicable

    public boolean isWebserviceApplicable()

  Specified by:
    `isWebserviceApplicable` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Webservice Applicable' attribute.
  See Also:
    `SybaseASEDatabase.setWebserviceApplicable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_WebserviceApplicable()`

### setWebserviceApplicable

    public void setWebserviceApplicable(boolean newWebserviceApplicable)

  Specified by:
    `setWebserviceApplicable` in interface `SybaseASEDatabase`
  Parameters:
    `newWebserviceApplicable` - the new value of the 'Webservice Applicable' attribute.
  See Also:
    `SybaseASEDatabase.isWebserviceApplicable()`

### getSdsServer

    public org.eclipse.emf.common.util.EList getSdsServer()

  Specified by:
    `getSdsServer` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Sds Server' attribute list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_SdsServer()`

### getTempDBName

    public java.lang.String getTempDBName()

  Specified by:
    `getTempDBName` in interface `SybaseASEDatabase`
  Returns:
    the value of the 'Temp DB Name' attribute.
  See Also:
    `SybaseASEDatabase.setTempDBName(String)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_TempDBName()`

### setTempDBName

    public void setTempDBName(java.lang.String newTempDBName)

  Specified by:
    `setTempDBName` in interface `SybaseASEDatabase`
  Parameters:
    `newTempDBName` - the new value of the 'Temp DB Name' attribute.
  See Also:
    `SybaseASEDatabase.getTempDBName()`

### isComputedColApplicable

    public boolean isComputedColApplicable()

  Specified by:
    `isComputedColApplicable` in interface `SybaseASEDatabase`

### isPartitionsApplicable

    public boolean isPartitionsApplicable()

  Specified by:
    `isPartitionsApplicable` in interface `SybaseASEDatabase`

### isFunctionalBasedIndexMemApplicable

    public boolean isFunctionalBasedIndexMemApplicable()

  Specified by:
    `isFunctionalBasedIndexMemApplicable` in interface `SybaseASEDatabase`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`